import type { CfSystemChoice } from '../types';
import { type Destinations } from '@sap-ux/btp-utils';
/**
 * Retrieves an array of Cloud Foundry system choices.
 *
 * @param {Destinations} [destinations] - Optional destinations object retrieved from BTP.
 * @returns {Promise<CfSystemChoice[]>} - List of system choices formatted for selection prompts.
 */
export declare function getCfSystemChoices(destinations?: Destinations): Promise<CfSystemChoice[]>;
/**
 * Retrieves and caches the list of available BTP destinations if running in BAS.
 *
 * @returns {Promise<Destinations | undefined>} - A promise resolving to a list of destinations or undefined if not in BAS.
 */
export declare function fetchBTPDestinations(): Promise<Destinations | undefined>;
//# sourceMappingURL=prompt-helpers.d.ts.map